| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
GaudiPython.Bindings.iNTupleSvc Class Reference
Inheritance diagram for GaudiPython.Bindings.iNTupleSvc:
[legend]
Collaboration diagram for GaudiPython.Bindings.iNTupleSvc:
[legend]

## Public Member Functions
def | __init__ (self, name, ints)
def | book (self, args)
def | defineOutput (self, files, typ="Gaudi::RootCnvSvc")
def | __getitem__ (self, path)
Public Member Functions inherited from GaudiPython.Bindings.iDataSvc
def | __init__ (self, name, idp)
def | registerObject (self, path, obj)
def | unregisterObject (self, path)
def | retrieveObject (self, path)
def | findObject (self, path)
def | getObject (self, path, args)
def | __getitem__ (self, path)
def | __setitem__ (self, path, obj)
def | __delitem__ (self, path)
def | leaves (self, node=None)
def | dump (self, node=None)
def | getList (self, node=None, lst=[], rootFID=None)
def | getHistoNames (self, node=None, lst=[])
def | setRoot (self, name, obj)
def | clearStore (self)
Public Member Functions inherited from GaudiPython.Bindings.iService
def | __init__ (self, name, isvc=None)
def | retrieveInterface (self)
def | initialize (self)
def | start (self)
def | stop (self)
def | finalize (self)
def | reinitialize (self)
def | restart (self)
def | isValid (self)
Public Member Functions inherited from GaudiPython.Bindings.iProperty
def | __init__ (self, name, ip=None)
def | getInterface (self)
def | retrieveInterface (self)
def | __call_interface_method__ (self, ifname, method, args)
def | __setattr__ (self, name, value)
def | __getattr__ (self, name)
def | properties (self)
def | name (self)

## Public Attributes
| Output

## Static Public Attributes
int | RowWiseTuple = 42
int | ColumnWiseTuple = 43

## Detailed Description

Definition at line 744 of file Bindings.py.

## Constructor & Destructor Documentation

def GaudiPython.Bindings.iNTupleSvc.__init__ | ( |  | self,
|  |  | name,
|  |  | ints
| ) |  |

Definition at line 748 of file Bindings.py.

748 def __init__(self, name, ints):
749 self.__dict__['_ints'] = InterfaceCast(gbl.INTupleSvc)(ints)
750 iDataSvc.__init__(self, name, ints)
751
GaudiPython.Bindings.iNTupleSvc.__init__
def __init__(self, name, ints)
Definition: Bindings.py:748
GaudiPython.Bindings.InterfaceCast
Definition: Bindings.py:93

## Member Function Documentation

def GaudiPython.Bindings.iNTupleSvc.__getitem__ | ( |  | self,
|  |  | path
| ) |  |

Definition at line 768 of file Bindings.py.

768 def __getitem__(self, path):
769 return iDataSvc.__getitem__(self, path)
770
771
772 # ----iToolSvc class-----------------------------------------------------------
GaudiPython.Bindings.iNTupleSvc.__getitem__
def __getitem__(self, path)
Definition: Bindings.py:768

def GaudiPython.Bindings.iNTupleSvc.book | ( |  | self,
|  |  | args
| ) |  |

Definition at line 752 of file Bindings.py.

752 def book(self, *args):
753 return apply(self._ints.book, args)
754
GaudiPython.Bindings.iNTupleSvc.book
def book(self, args)
Definition: Bindings.py:752

def GaudiPython.Bindings.iNTupleSvc.defineOutput | ( |  | self,
|  |  | files,
|  |  | typ = `"Gaudi::RootCnvSvc"`
| ) |  |

    Defines the mapping between logical names and the output file
        Usage:
          defineOutput({'LUN1':'MyFile1.root', 'LUN2':'Myfile2.root'}, svc='Gaudi::RootCnvSvc')

Definition at line 755 of file Bindings.py.

755 def defineOutput(self, files, typ="Gaudi::RootCnvSvc"):
756 """ Defines the mapping between logical names and the output file
757 Usage:
758 defineOutput({'LUN1':'MyFile1.root', 'LUN2':'Myfile2.root'}, svc='Gaudi::RootCnvSvc')
759 """
760 import Persistency as prs
761 helper = prs.get(typ)
762 helper.configure(AppMgr())
763 self.Output = [helper.formatOutput(
764 files[lun], lun=lun) for lun in files]
765 if AppMgr().HistogramPersistency == 'NONE':
766 AppMgr().HistogramPersistency = "ROOT"
767
GaudiPython.Bindings.iNTupleSvc.Output
Output
Definition: Bindings.py:763
GaudiPython.Bindings.iNTupleSvc.defineOutput
def defineOutput(self, files, typ="Gaudi::RootCnvSvc")
Definition: Bindings.py:755
GaudiPython.Bindings.AppMgr
Definition: Bindings.py:883

## Member Data Documentation

int GaudiPython.Bindings.iNTupleSvc.ColumnWiseTuple = 43
| static

Definition at line 746 of file Bindings.py.

GaudiPython.Bindings.iNTupleSvc.Output

Definition at line 763 of file Bindings.py.

int GaudiPython.Bindings.iNTupleSvc.RowWiseTuple = 42
| static

Definition at line 745 of file Bindings.py.

The documentation for this class was generated from the following file:

- GaudiPython/python/GaudiPython/Bindings.py